# gmp_scan1

(PHP 4 >= 4.0.4, PHP 5, PHP 7)

gmp_scan1 — Scan for 1

### Description

gmp_scan1 ( GMP `$a` , int `$start` ) : int

Scans `a`, starting with bit `start`, towards more significant bits, until the first set bit is found.

### Parameters

`a`

  The number to scan.

  Either a GMP number resource in PHP 5.5 and earlier, a GMP object in PHP 5.6 and later, or a numeric string provided that it is possible to convert the latter to a number.

`start`

  The starting bit.

### Return Values

Returns the index of the found bit, as an integer. If no set bit is found, -1 is returned.

### Examples

Example #1 gmp_scan1() example

`<?php
// "1" bit is found at position 3. index starts at 0
$s1 = gmp_init("01000", 2);
echo gmp_scan1($s1, 0) . "\n";
// "1" bit is found at position 9. index starts at 5
$s2 = gmp_init("01000001111", 2);
echo gmp_scan1($s2, 5) . "\n";
?>`

The above example will output:

    3
    9